
rpm-build-extra-targets
=======================

This package adds a few files required to build RPM packages
for targets that current platform does not support.

This may be useful for OS bootstrap, re-packaging binaries,
checking architecture-specific patches with 'rpmbuild -bp',
or for testing Linux kernels and hardware-specific packages
(like u-boot) in pair with cross-compilation.


Example: cross-compiling OpenSBI
--------------------------------

OpenSBI is a common firmware for many RISC-V systems
that provides Supervisor Binary Interface (SBI) implementations.

Install the cross-compilation tools. Run this as root:

```
apt-get install gcc-riscv64-linux-gnu rpm-build-extra-targets
```


Now, you can clone the sources and cross-build the package:

```
git clone https://git.altlinux.org/people/iv/packages/opensbi.git -o iv -b sisyphus
cd opensbi
export CROSS_COMPILE='ccache riscv64-linux-gnu-' ARCH=riscv
gear-rpm -bp --verbose --target=riscv64
```
